#============================================================================
# subst_pkgconfig_pc.mk

SUBST_PKGCONFIG_PC_MK =

# create the pkg-config config file.

# Prerequisites
DOSUBST_MK +=
CREATE_AM_MACROS_MK +=

# Any files make built
CLEANFILES		+= $(PACKAGE_NAME).pc

# this snippet performs variable interpolation into the pkg-config
# meta-data file.  the file may either be in $(top_srcdir) or in
# $(builddir).  it is done in two stages. the first picks up configure
# variables which may be altered on the make command line, the next
# picks up the package specific config variables that it's too hard to
# program dosubst to recognize
$(PACKAGE_NAME).pc: Makefile $(PACKAGE_NAME).pc.in
	file="$(PACKAGE_NAME).pc.in"; \
	if test -f "$$file"; then d=; else d="$(srcdir)/"; fi; \
	$(dosubst) "$$d$$file" > $@.tmp.in
	./config.status --file=$@.tmp
	rm -f $@.tmp.in
	mv $@.tmp $@
